kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rsiva...@apache.org
Subject [kafka] branch 1.1 updated: MINOR: Remove 1.2.0 changes from streams doc (#4784)
Date Wed, 28 Mar 2018 16:03:08 GMT
This is an automated email from the ASF dual-hosted git repository.

rsivaram pushed a commit to branch 1.1
in repository https://gitbox.apache.org/repos/asf/kafka.git


The following commit(s) were added to refs/heads/1.1 by this push:
     new c765a88  MINOR: Remove 1.2.0 changes from streams doc (#4784)
c765a88 is described below

commit c765a8854e6d447c64a6ffaeb3c276a48e087216
Author: Rajini Sivaram <rajinisivaram@googlemail.com>
AuthorDate: Wed Mar 28 17:03:00 2018 +0100

    MINOR: Remove 1.2.0 changes from streams doc (#4784)
    
    Reviewers: John Roesler <john@confluent.io>, Guozhang Wang <guozhang@confluent.io>,
Matthias J. Sax <matthias@confluent.io>
---
 docs/streams/upgrade-guide.html | 16 +---------------
 1 file changed, 1 insertion(+), 15 deletions(-)

diff --git a/docs/streams/upgrade-guide.html b/docs/streams/upgrade-guide.html
index f5c16c0..b9b4a4e 100644
--- a/docs/streams/upgrade-guide.html
+++ b/docs/streams/upgrade-guide.html
@@ -34,17 +34,11 @@
     </div>
 
     <p>
-        If you want to upgrade from 1.1.x to 1.2.0 and you have customized window store implementations
on the <code>ReadOnlyWindowStore</code> interface
-        you'd need to update your code to incorporate the newly added public APIs; otherwise
you don't need to make any code changes.
-        See <a href="#streams_api_changes_120">below</a> for a complete list
of 1.2.0 API and semantic changes that allow you to advance your application and/or simplify
your code base.
-    </p>
-
-    <p>
         If you want to upgrade from 1.0.x to 1.1.0 and you have customized window store implementations
on the <code>ReadOnlyWindowStore</code> interface
         you'd need to update your code to incorporate the newly added public APIs.
         Otherwise, if you are using Java 7 you don't need to make any code changes as the
public API is fully backward compatible;
         but if you are using Java 8 method references in your Kafka Streams code you might
need to update your code to resolve method ambiguities.
-        Hot-swaping the jar-file only might not work for this case.
+        Hot-swapping the jar-file only might not work for this case.
         See <a href="#streams_api_changes_110">below</a> for a complete list
of 1.1.0 API and semantic changes that allow you to advance your application and/or simplify
your code base.
     </p>
 
@@ -72,14 +66,6 @@
         See <a href="#streams_api_changes_0101">below</a> a complete list of
0.10.1 API changes that allow you to advance your application and/or simplify your code base,
including the usage of new features.
     </p>
 
-    <!-- TODO: verify release verion and update `id` and `href` attributes (also at other
places that link to this headline) -->
-    <h3><a id="streams_api_changes_120" href="#streams_api_changes_120">Streams
API changes in 1.2.0</a></h3>
-    <p>
-        We have added support for methods in <code>ReadOnlyWindowStore</code>
which allows for querying a single window's key-value pair.
-        For users who have customized window store implementations on the above interface,
they'd need to update their code to implement the newly added method as well.
-        For more details, see <a href="https://cwiki.apache.org/confluence/display/KAFKA/KIP-261%3A+Add+Single+Value+Fetch+in+Window+Stores">KIP-261</a>.
-    </p>
-    
     <h3><a id="streams_api_changes_110" href="#streams_api_changes_110">Streams
API changes in 1.1.0</a></h3>
     <p>
         We have added support for methods in <code>ReadOnlyWindowStore</code>
which allows for querying <code>WindowStore</code>s without the necessity of providing
keys.

-- 
To stop receiving notification emails like this one, please contact
rsivaram@apache.org.

Mime
View raw message